<form class="ui large form" [formGroup]="personnelForm" autocomplete="off">
    <div class="ui centered header">Ajouter un personnel</div>
    <div class="field">
        <div class="three fields">
            <div class="field">
                <label>Prénom</label>
                <input type="text" placeholder="Prénom" formControlName="firstname">
            </div>
            <div class="field">
                <label>Nom</label>
                <input type="text" placeholder="Nom de famille" formControlName="lastname">
            </div>
            <div class="field">
                <label>Actif</label>
                <div class="ui toggle checkbox">
                    <input type="checkbox" formControlName="active">
                    <label></label>
                </div>
            </div>
        </div>
    </div>
    <div class="field">
        <label>Téléphone</label>
        <div class="ui labeled input">
            <div class="ui label">
                +33
            </div>
            <input type="number" placeholder="Numéro de téléphone (612345678)" formControlName="phone">
        </div>
    </div>
    <div class="two fields">
        <div class="field">
            <label>Civilité</label>
            <select class="ui fluid dropdown" formControlName="gender">
                <option value="">Civilité</option>
                <option value="MASCULIN">Homme</option>
                <option value="FEMININ">Femme</option>
                <option value="AUTRE">Autre</option>
            </select>
        </div>
        <div class="field">
            <label>Date de naissance</label>
            <input type="date" formControlName="birthdate">
        </div>
    </div>
    <div class="field">
        <label>Utilisateur</label>
        <div class="two fields">
            <div class="field">
                <input type="text" placeholder="Nom d'utilisateur" formControlName="username">
            </div>
            <div class="field">
                <input type="email" placeholder="E-mail" formControlName="email">
            </div>
        </div>
    </div>
    <div class="field">
        <label>Mot de passe</label>
        <div class="two fields">
            <div class="field">
                <input type="password" placeholder="Mot de passe" formControlName="password"
                       autocomplete="new-password">
            </div>
            <div class="field">
                <input type="password" placeholder="Confirmer le mot de passe"
                       formControlName="passwordConfirm">
            </div>
        </div>
    </div>
    <br>
    <button type="submit" class="ui large teal button"
            [disabled]="!personnelForm.valid" (click)="onSubmit()" id="submit-form">Modifier ce personnel
    </button>

</form>

<div class="ui error message"
     *ngIf="form.firstname.invalid && form.firstname.touched && form.firstname.errors?.required">
    <div class="header">Nom</div>
    <ul class="list">
        <li>Vous devez entrer un Nom.</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.lastname.invalid && form.lastname.touched && form.lastname.errors?.required">
    <div class="header">Prénom</div>
    <ul class="list">
        <li>Vous devez entrer un Prénom.</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.gender.invalid">
    <div class="header">Civilité</div>
    <ul class="list">
        <li *ngIf="form.gender.errors?.required">Vous devez choisir une Civilitée.</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.birthdate.invalid && form.birthdate.touched">
    <div class="header">Date de naissance</div>
    <ul class="list">
        <li *ngIf="form.birthdate.errors?.required">Vous devez
            entrer une date de naissance.
        </li>
        <li *ngIf="form.birthdate.errors?.number">Vous devez entrer
            une date de naissance valide
        </li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.username.invalid && form.username.touched">
    <div class="header">Nom d'utilisateur</div>
    <ul class="list">
        <li *ngIf="form.username.errors?.required">Vous devez entrer un nom d'utilisateur.</li>
        <li *ngIf="form.username.errors?.minlength">Votre nom d'utilisateur dois faire plus de 5 caractères</li>
        <li *ngIf="form.username.errors?.maxlength">Votre nom d'utilisateur ne peut pas faire plus de 30 caractères</li>
        <li *ngIf="form.username.errors?.usernameUsed">Ce nom d'utilisateur est déjà pris !</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.phone.invalid && form.phone.touched">
    <div class="header">Nom d'utilisateur</div>
    <ul class="list">
        <li *ngIf="form.phone.errors?.required">Vous devez entrer un nom d'utilisateur.</li>
        <li *ngIf="form.phone.errors?.minlength">Votre numéro de téléphone ne semble pas valide</li>
        <li *ngIf="form.phone.errors?.maxlength">Votre numéro de téléphone ne semble pas valide</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.email.invalid && form.email.touched">
    <div class="header">E-mail</div>
    <ul class="list">
        <li *ngIf="form.email.errors?.required">Vous devez entrer un E-mail.</li>
        <li *ngIf="form.email.errors?.email">Vous devez entrer un E-mail valide.</li>
    </ul>
</div>

<div class="ui error message"
     *ngIf="form.password.invalid && form.password.touched">
    <div class="header">Mot de passe</div>
    <ul class="list">
        <li *ngIf="form.password.errors?.required">Vous devez entrer un mot de passe.</li>
        <li *ngIf="form.password.errors?.minlength">Votre de mot de passe doit faire au moins 5 caractères.</li>
        <li *ngIf="form.password.errors?.passwordConfirm">Les mots de passes ne sont pas identiques.</li>
    </ul>
</div>

<div class="ui success message" *ngIf="response && !hasProp(response, 'status')">
    <div class="header">Succés !</div>
    <ul class="list">
        <li>Personnel modifié !</li>
    </ul>
</div>

<div class="ui error message" *ngIf="response && hasProp(response, 'status')">
    <div class="header">Erreur</div>
    <ul class="list">
        <li>Une erreur interne est survenue, veillez réessayer plus tard.</li>
    </ul>
</div>
